var BotaoConfimacao = false;
var NomeBtn = '';
var VarControleTempoSenha;

/* OBS: Todos textarea tem que ter id */
//redimencionar textarea automatico
(function($) {
	$.fn.autosize = function() {
		$(this).each(function(){
			$(this).css({'overflow' : 'hidden'});
			$('body').prepend('<div id="jQuery-autosize-' + $(this).attr('id') + '"></div>');
			$('#jQuery-autosize-' + $(this).attr('id')).css({
				'display'      : 'none',
				'word-wrap'    : 'break-word',
				'font-family'  : $(this).css('font-family'),
				'padding'      : $(this).css('padding'),
				'font-size'    : $(this).css('font-size'),
				'font-padding' : $(this).css('font-padding'),
				'font-weight'  : $(this).css('font-weight'),
				'line-height'  : $(this).css('line-height'),
				'width'        : $(this).width()
			});
			autosize($(this));
			$(this).bind('keyup keypress change', function() {autosize($(this))});
		});
	};
	
	function autosize(e) {
		var div_id = '#jQuery-autosize-' + e.attr('id');
		var val = e.val().replace(/\n/g, '<br />');
		$(div_id).empty();
		$(div_id).append(val + '<br /><br />');
		e.css('height', $(div_id).height());
	}
})(jQuery);



function show(mensagem, elemento_foco) {
	$('#pnMensagem').html(mensagem);
	//$('#pnMensagem').dialog('open');
				$("#pnMensagem").dialog({
				//autoOpen : false,
				modal : true,
				resizable : false,
				width : 500,
				buttons : {
					'OK' : function() {
						$(this).dialog("close");
						if(elemento_foco){
						$(elemento_foco).focus();
						
						}
					}
				}
			});
}

function NextUi(nome_elemento){
	jQuery('.ui-dialog-buttonpane').find('button:contains("' + nome_elemento + '")').focus();
	}


// como usar a funçao
/*Confirmacao('digite a mensagem', function(){ nome_da_funcao() }); nao esqueça de colocar function(){ e aqui a funcao que vai passar} */
function Confirmacao(Mensagem, aFuncaoLocal){
 $('#pnMenConfirm').html(Mensagem);
 $('#pnConfirmacao').dialog({
					resizable: false,
					width : 500,
					modal: true,
					buttons: [{
								text: 'OK',//okText,
								click : function(){	aFuncaoLocal();
													$( this ).dialog( "close" );
												}
								},{
								 text: 'Cancelar',//cancelText,
								 click: function() {$( this ).dialog( "close" );}
							}]
					
					})
}


function Load() {
	return '<div align="center" style="padding:10%"><img src="img/ajax-loader.gif" /></div>';
}


function FuncaoMudaUsuario(aFuncaoLocal) {
	if(VarControleTempoSenha){
		aFuncaoLocal();
	} else {
			$('#pnNomeUser').html($('#boxLogin').html());
			$('#edtSenhaPrincipal').val('');
			$('#edtUsuarioNovo').val('');
			$('#edtSenhaNova').val('');
			//$('#pnMudarUsuario').dialog('open');
			$( "#pnMudarUsuario" ).dialog({
					resizable: false,
					height:260,
					width : 260,
					modal: true,
					buttons: [{
						text: 'OK',//okText,
						click : function(){
											aFuncaoLocal();
											//$( this ).dialog( "close" );
										}
								}, 
						{text: 'Cancelar',//cancelText,
						click: function() {
										 // cancelCallback();
										  $( this ).dialog( "close" );
										  
										  }
						}]
				})
			
			$('.soSenha').show('fast');
			$('.NewUsuario').hide();
			$('#edtSenhaPrincipal').focus();
	}

}

function MudarUsuario(aFuncao) {
	
	var SenhaPrincipal = $('#edtSenhaPrincipal').val();
	var SenhaNova      = $('#edtSenhaNova').val();
	var UsuarioNovo    = $('#edtUsuarioNovo').val();
	

	$.ajax({
		type : "POST",
		url : "login/mudar.usuario.php",
		data : 'SenhaPincipal=' + SenhaPrincipal + '&nome=' + UsuarioNovo + '&senha=' + SenhaNova,
		// beforeSend:
		// function(){$("#pnListaEvento").html(Load()).fadeIn('slow');},
		success : function(R) {
			if (R == '0') {
				show('Senha não Confere');
				$('#edtSenhaPrincipal').focus();
				return false;
			} else {
				$('#pnMudarUsuario').dialog('close');
				$('#boxLogin').html(R);
				aFuncao()
				ControleTempoSenha(true);
				return true;
			}
		},
		error : function(R) {
			$("#pnListaEvento").html('Falha ao localizar o evento, ou tente novamente!').fadeIn('slow');
			$("#pnListaEvento").addClass('ui-state-error ui-corner-all');
		}
	}) // fim ajax
}


function MaskEdit(){
$('.phone').iMask({type : 'fixed', mask : '(99) 9999-9999'});
		$('.time').iMask({type : 'fixed', mask : '99:99'});
		$('.cep').iMask({type : 'fixed', mask : '99.999-999'});
		$('.cpf').iMask({type : 'fixed', mask : '999.999.999-99'});
		$('.date').iMask({type : 'fixed', mask : '99/99/9999'});
		$('.decimal').iMask({type : 'number', decDigits : 2, decSymbol : ',', groupSymbol : '.'});

}

$(document).ready(function() {
			//5 Minutos para pedir a senha novamente
			setInterval(function(){ControleTempoSenha(false)}, 300000);
			//$(".select").chosen({disable_search_threshold : 14	});
			
		MaskEdit();	

		//F2 carrega consulta cliente
		var KeyLocCliente = $(document).add('input:text, textarea');
		KeyLocCliente.bind('keydown.f2',function (evt){
			//$('#pnBoxLocalizarCliente').dialog('open');
			BoxLocalizaCliente();
		  return false;
		})
		
		// carrega o calendario F3
		var KeyCalendario = $(document).add('input:text, textarea');
		KeyCalendario.bind('keydown.f3',function (evt){
			location = '?p=calendario/calendario';
		  return false;
		})

		jQuery('#edtSenhaPrincipal, #edtSenhaNova').bind('keydown.return',function(evt){
			NextUi('OK');
			return false;
			})

			
		//	$(".select").chosen({disable_search_threshold : 14	});
			 $("#pnHistorico, .pnHistorico").tabs({ });
			 
			  //carrega a funcao para automaticar o textarea.
			  $('textarea').autosize();
			  
	
			/*(function($){$(function() {
				//	$('input:text').setMask();
				});
			})(jQuery);*/
			$(".Calendario").datepicker();
			$(".Calendario").datepicker({
				altFormat : 'dd/mm/yyyy'
			});
			// carrega o nome do usuario no meu
			// $('#boxLogin').html($('#edtLogin').val());

/*
			$('#btnConfirmacao').live('click',function(event) {
						Confirm(event, show('oba deu certo'),
								'#btnConfirmacao',
								'Gostaria mesmo de fazez isso');
					})*/

			$("#pnX9Finalizados").tabs({});
			$("#pnContratoNaoFinalizado").tabs({});
			$("#pnAlbumEditado").tabs({});
			$("#pnAlbumEditado2").tabs({});
			$("#pnProximoEvento").tabs({});
			$("#pnLog").tabs({});
			
			

/*			$("#boxConfirm").dialog({
				autoOpen : false,
				modal : true,
				width : 250,
				height : 300,
				resizable : false,
				buttons : {
					OK : function() {
						BotaoConfimacao = true;
						$(this).dialog("close");
						$(NomeBtn).on('click',);
						BotaoConfimacao = false;

					},
					Cancelar : function() {
						BotaoConfimacao = false;
						$(this).dialog("close");
					}
				}
			});*/
			
			
$("#pnAguarde").dialog({
				autoOpen : false,
				modal : true,
				width : 300,
				height : 150,
				resizable : false,
				closeText: "hide",
				closeOnEscape: false,
				dialogClass: 'no-close',
				open: function() {$(this).parent().children().children("a.ui-dialog-titlebar-close").remove();}
			});
			

			
			//$(this).parent().children().children("a.ui-dialog-titlebar-close").remove();

	/*		$('#pnMudarUsuario').dialog({
				autoOpen : false,
				modal : true,
				resizable : false,
				height : 150, // altura
				width : 210
			// largura
			});*/

			$('#btnTeste').on('click',function() {
				if(!VarControleTempoSenha){
				  alert(VarControleTempoSenha);
				   FuncaoMudaUsuario(function(){alert('a funão')});
				}
				return false;
			})

		/*	// Key Senha Principal
			$("#edtSenhaPrincipal").keypress(
					function(event) {
						if (event.which == 13) {
							event.preventDefault();
							TrocaFoco();
						}
					});

			$("#edtSenhaPrincipal").on('click',function() {
				$("#edtSenhaPrincipal").keypress();
			});


			 //Key Nova Senha
			$("#pnNomeUser").keypress(
					function(event){
						if (event.which == 13) {
							event.preventDefault();
							TrocaFoco();
						}
					});

			$("#pnNomeUser").on('click',function() {
				$("#pnNomeUser").keypress();
			});*/

			$('#btnMudarUsuario').on('click',function() {
				$('#edtSenhaPrincipal').val('');
				$('.soSenha').hide('slow');
				$('.NewUsuario').show('slow');
				$('#edtUsuarioNovo').focus();
				return false;
			})
			
			
			$('#btnCalendario').on('click',function() {
				// Caledario('');
				location = '?p=calendario/calendario';
				return false;
			})

			$('#btnAnterior').on('click',function() {
						// Caledario($(this).attr('data'));
						location = '?p=calendario/calendario&data='	+ $(this).attr('data');
						return false;
					})

			$('#btnProximo').on('click',function() {
						// Caledario($(this).attr('data'));
						location = '?p=calendario/calendario&data='+ $(this).attr('data');
						return false;
					})

			$('.menu').fixedMenu();

			// box AlterarContrato
			/*
			 * $('#pnAlterarContrato').dialog({ autoOpen: false, modal: true,
			 * resizable: false, height : 700, // altura width : 900, // largura
			 * buttons:{'Salvar':function(){},
			 * 'Cancelar':function(){$(this).dialog('close');} } })
			 * 
			 * $('#btnCriarContratoP').live('click',function(){
			 * 
			 * $('#pnAlterarContrato').dialog('open'); AbriarContrato(); return
			 * false; })
			 */
			 
			 $('.btnDM').on('click',function(){
				var
				 mensagem = $(this).attr('title');
				show('Este cliente esta com a data do evento mudada verifique.<br/> ' + mensagem);
				return false;	
			});
			 

			$('#btnSoEvento').on('click', function() {
				//$('#pnBoxSoEvento').dialog('open');
				BoxSoEvento();
				return false;
			})

			
			$('.btnNovoEvento').on('click', function() {
				$('#edtDataEvento').val($(this).attr('data'));
				//$('#pnNovoEvento').dialog('open');
				BoxNovoEvento();
				return false;
			})

			$('#btnOpenCliente').on('click', function() {
				BoxLocalizaCliente();
				//$('#pnBoxLocalizarCliente').dialog('open');
				return false;
			})
			// JavaScript Document

			$('#btnLocalizarCliente').on('click', function() {
				LocalizarEvento($('#edtLocalizarCliente').val());
				return false;
			})


			
			$('.btnLista').on('click', function() {
				data = $(this).attr('href');
				ListaEvento(data);
				//$('#pnListaEvento').dialog('open');
				BoxListaEvento();
				return false;
			})

			// ///////////Capitura a key edtLocalizarCliente////////////
			$("#edtLocalizarCliente").keypress(function(event) {
				if (event.which == 13) {
					event.preventDefault();
					LocalizarEvento($('#edtLocalizarCliente').val());
					$('#edtLocalizarCliente').select();
				}

			});

			 $("#edtLocalizarCliente").on('click',function() {
				$("#edtLocalizarCliente").keypress();
			});

/*$("#btnLocClienteMobile").keypress(function(event) {
				if (event.which == 13) {
					event.preventDefault();
					alert('asdf');
				}

			});

			 $("#btnLocClienteMobile").on('click',function() {
				$("#btnLocClienteMobile").keypress();
			});*/



		jQuery('#btnLocClienteMobile').bind('keydown.return',function (evt){
			LocalizarEventoMobile($(this).val());
		  return false;
		})	


		$('#btnXicoN').on('click',function(){
			 FuncaoMudaUsuario(function(){MudarUsuario(function(){alert('a funão')});});
		})



			// /////////////////////////

		});

function Caledario(data) {
	if (data != '')
		var data = 'data=' + data;
			$.ajax({
				type : "POST",
				url : "calendario/calendario.php",
				data : data,
				beforeSend : function() {
					$("#contener").html(Load()).fadeIn('slow');
				},
				success : function(R) {
					$("#contener").html(R).fadeIn('fast')
				},
				error : function(R) {
					$("#contener")
							.html(
									'O servidor esta se comportando de forma estranha e não conseguiu entregar o calendário! Tente novamente')
							.fadeIn('slow');
					$("#contener").addClass('ui-state-error ui-corner-all');
				}
			}) // fim ajax

}

function LocalizarEvento(dados) {
	// var Dados = dados.split('/');

	if (dados.length < 3) {
		show('A pesquisa deve conter no mínimo 3 caracteres');
		return false;
	}

	$.ajax({
		type : "POST",
		url : "localizar_evento.php",
		data : 'dados=' + dados,
		beforeSend : function() {
			$("#pnResultadoCliente").html(Load()).fadeIn('slow');
		},
		success : function(R) {
			$("#pnResultadoCliente").html(R).fadeIn('slow');
		},
		error : function(R) {
			$("#pnResultadoCliente").html(
					'Falha ao localizar o evento, ou tente novamente!').fadeIn(
					'slow');
			$("#pnResultadoCliente").addClass('ui-state-error ui-corner-all');
		}
	}) // fim ajax

}

function LocalizarEventoMobile(dados) {
	// var Dados = dados.split('/');

	if (dados.length < 3) {
		show('A pesquisa deve conter no mínimo 3 caracteres');
		return false;
	}

	$.ajax({
		type : "POST",
		url : "localizar_evento_mobile.php",
		data : 'dados=' + dados,
		beforeSend : function() {
			$("#pnResultadoConsultaMobile").html(Load()).fadeIn('slow');
		},
		success : function(R) {
			$("#pnResultadoConsultaMobile").html(R).fadeIn('slow');
		},
		error : function(R) {
			$("#pnResultadoConsultaMobile").html(
					'Falha ao localizar o evento, ou tente novamente!').fadeIn(
					'slow');
			$("#pnResultadoConsultaMobile").addClass('ui-state-error ui-corner-all');
		}
	}) // fim ajax

}


// Carregar foto Picasa Capa
function CarregarUmaFotoPicasa(id_evento, nomeDiv, tamanho, perfil) {
	$.ajax({
		type : "POST",
		url : "evento/previa/ax.previa.php",
		data : 'ax=CarregarUmaFoto&tamanho=' + tamanho + '&id_evento='
				+ id_evento + '&perfil=' + perfil,
		beforeSend : function() {
			$(nomeDiv).html('<img src="img/load_curto.gif"/>').fadeIn('slow');
		},
		success : function(R) {
			$(nomeDiv).html(
					'<img class="sombra cantoredondo" src="' + R + '"/>')
					.fadeIn('fast');
		},
		error : function(R) {
			$(nomeDiv)
					.html('Falha ao verifique o WebSite, ou tente novamente!')
					.fadeIn('slow');
			$(nomeDiv).addClass('ui-state-error ui-corner-all');
		}
	}) // fim ajax

}

function ListaEvento(dados) {
	$.ajax({
		type : "POST",
		url : "lista_evento.php",
		data : 'dados=' + dados,
		beforeSend : function() {
			$("#pnListaEvento").html(Load()).fadeIn('slow');
		},
		success : function(R) {
			$("#pnListaEvento").html(R).fadeIn('slow');
		},
		error : function(R) {
			$("#pnListaEvento").html(
					'Falha ao localizar o evento, ou tente novamente!').fadeIn(
					'slow');
			$("#pnListaEvento").addClass('ui-state-error ui-corner-all');
		}
	}) // fim ajax

}




function NovoEvento(formulario, criador) {
			$.ajax({
				type : "POST",
				url : "evento/ax.evento.php",
				data : formulario + '&ax=NovorEvento&criador=' + criador,
				beforeSend : function() {
					$("#pnRetornoNevento")
							.html('<img src="img/salvando.gif"/>').fadeIn(
									'slow');
				},
				success : function(R) {
					$("#pnRetornoNevento").html('Salvo com sucesso.').fadeIn(
							'slow');
					$("#pnRetornoNevento").addClass(
							'ui-state-highlight ui-corner-all');
					location = '?p=evento/principal&id_evento=' + R;
				},
				error : function(R) {
					$("#pnRetornoNevento").html(
							'Falha ao salvar verifique, ou tente novamente!')
							.fadeIn('slow');
					$("#pnRetornoNevento").addClass(
							'ui-state-error ui-corner-all');
				}
			}) // fim ajax

}

function SendEmailPrevia() {
	$.ajax({
		type : "POST",
		url : "evento/ax.evento.php",
		data : 'ax=SendEmailPrevia'
	}) // fim ajax

}


function CreateDialog(okText, cancelText, okCallback, cancelCallback) {
        $( "#pnMudarUsuario" ).dialog({
            resizable: false,
            height:340,
            modal: true,
            buttons: [{
                text: okText,
                click : function(){
									$( this ).dialog( "close" );
									 okCallback();
								}
                		}, 
				{text: cancelText,
                click: function() {
					              $( this ).dialog( "close" );
								  cancelCallback();
								  }
				}]
        })
}


function ControleTempoSenha(stado){
		VarControleTempoSenha = stado;	
}


function Aguarde(boolean){
	if(boolean == true)
	$("#pnAguarde").dialog('open');
	
	if(boolean == false)
	$("#pnAguarde").dialog('close');

}

function BoxSoEvento(){
				// box LocalizarCliente
			$('#pnBoxSoEvento').dialog({
				//autoOpen : false,
				modal : true,
				resizable : false,
				height : 360, // altura
				width : 300
			// largura
			})

}


function BoxNovoEvento(){
	// box Novo Evento
			$('#pnNovoEvento').dialog({
				//autoOpen : false,
				modal : true,
				resizable : false,
				height : 430, // altura
				width : 680, // largura
				buttons : {
					'Salvar' : function() {
						// $('#btnSalvarNovoEvento').live('click',function(){
						if (! $("input[type='radio'][name='stTipoEvento']").is(':checked') ){
      						show('Selecione um evento para prosseguir');
							return false;
						}
						
						/*if ($('#stTipoEvento').val() == '-1') {
							show('Selecione um evento para prosseguir');
							return false;
						}*/

						if ($('#edtNome').val() == '') {
							show('Informe um nome para continuar');
							$('#edtNome').focus();
							return false;
						}

						if ($('#edtHora').val() == '') {
							show('Informe a hora do evento para continuar');
							return false;
						}

						if ($('#edtTelefone').val() == '') {
							show('Informe um telefone para continuar');
							return false;
						}

						var formulario = $('#formNovoEvento').serialize();
						//var criador = $('#boxLogin').html();

						
						FuncaoMudaUsuario(function(){MudarUsuario(function(){NovoEvento(formulario, $('#boxLogin').html())});});
						//NovoEvento(formulario, criador);

					},
					'Cancelar' : function() {
						$(this).dialog('close');
					}
				}
			})
	
}



function BoxListaEvento(){
			// Lista Cliente
			$('#pnListaEvento').dialog({
				//autoOpen : false,
				modal : true,
				resizable : false,
				height : 450, // altura
				width : 750
			// largura
			})	
	
}
		
		
function BoxLocalizaCliente(){
			// box LocalizarCliente
			$('#pnBoxLocalizarCliente').dialog({
				//autoOpen : false,
				modal : true,
				resizable : false,
				height : 450, // altura
				width : 750
			// largura
			})

}


//CreateDialog('OK', "Cancelar",function () {FuncaoMudaUsuario();},function() {alert('Cancelar'); });

/*String.prototype.rot13 = function(){
    	return this.replace(/[a-zA-Z]/g, function(c){
        	return String.fromCharCode((c <= "Z" ? 90 : 122) >= (c = c.charCodeAt(0) + 13) ? c : c - 26);
    	});
		};*/